## castor 1.0

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Comparative Phylogenetics on Large Trees
Version: 1.0
Date: 2017-04-20
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient tree manipulation functions including pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distance matrices. Calculation of phylogenetic signal and mean trait depth (trait conservatism). Ancestral state reconstruction and hidden character prediction of discrete characters, using Maximum Likelihood and Maximum Parsimony methods. Simulating models of trait evolution, and generating random trees using birth-death models.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10), naturalsort, stats
Imports: parallel
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2017-05-19 21:55:00 UTC; stilianoslouca
Repository: CRAN
Date/Publication: 2017-05-20 07:13:55 UTC

## castor 1.1

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Comparative Phylogenetics on Large Trees
Version: 1.1
Date: 2017-06-01
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient tree manipulation functions including pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distance matrices. Calculation of phylogenetic signal and mean trait depth (trait conservatism). Ancestral state reconstruction and hidden character prediction of discrete characters, using Maximum Likelihood and Maximum Parsimony methods. Simulating and fitting models of trait evolution, and generating random trees using birth-death models.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2017-06-01 22:22:14 UTC; stilianoslouca
Repository: CRAN
Date/Publication: 2017-06-02 05:39:30 UTC

## castor 1.2

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.2
Date: 2017-09-20
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient tree manipulation functions including pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distance matrices. Calculation of phylogenetic signal and mean trait depth (trait conservatism). Ancestral state reconstruction and hidden character prediction of discrete characters, using Maximum Likelihood and Maximum Parsimony methods. Simulating and fitting models of trait evolution, and generating random trees using birth-death models.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2017-09-23 04:16:30 UTC; stilianoslouca
Repository: CRAN
Date/Publication: 2017-09-23 04:27:02 UTC

## castor 1.2.1

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.2.1
Date: 2017-09-23
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient tree manipulation functions including pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distance matrices. Calculation of phylogenetic signal and mean trait depth (trait conservatism). Ancestral state reconstruction and hidden character prediction of discrete characters, using Maximum Likelihood and Maximum Parsimony methods. Simulating and fitting models of trait evolution, and generating random trees using birth-death models.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2017-09-24 08:52:00 UTC; SteliosLouca
Repository: CRAN
Date/Publication: 2017-09-24 10:59:51 UTC

## castor 1.2.2

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.2.2
Date: 2017-09-30
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient tree manipulation functions including pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distance matrices. Calculation of phylogenetic signal and mean trait depth (trait conservatism). Ancestral state reconstruction and hidden character prediction of discrete characters, using Maximum Likelihood and Maximum Parsimony methods. Simulating and fitting models of trait evolution, and generating random trees using birth-death models.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2017-09-27 21:22:01 UTC; stilianoslouca
Repository: CRAN
Date/Publication: 2017-09-27 21:49:16 UTC

## castor 1.3

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.3
Date: 2017-11-28
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient tree manipulations for large phylogenies, including pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism). Ancestral state reconstruction and hidden character prediction of discrete characters, using Maximum Likelihood and Maximum Parsimony methods. Simulating and fitting models of trait evolution, and generating random trees using birth-death models.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2017-11-29 09:20:07 UTC; stilianoslouca
Repository: CRAN
Date/Publication: 2017-11-29 16:35:29 UTC

## castor 1.3.1

=== debian/changelog ===
castor (1.3.1-1) unstable; urgency=low

  * Initial release. (Closes: #581862).

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 02 Jul 2010 20:14:04 -0430

=== debian/control ===
Source: castor
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Section: java
Priority: optional
Build-Depends: debhelper (>= 7.0.50), default-jdk, javahelper, ant,
 libcommons-logging-java, liboro-java, libregexp-java, libeasymock-java, junit,
 junit4, libgeronimo-jta-1.0.1b-spec-java, libcglib-java, liblog4j1.2-java,
 glassfish-javaee, velocity, maven-repo-helper, ant-optional
Standards-Version: 3.8.4
Homepage: http://www.castor.org/
Vcs-Git: git://git.debian.org/pkg-java/castor.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/castor.git

Package: libcastor-xml-java
Architecture: all
Depends: libcastor-core-java, libcommons-logging-java, ${misc:Depends}
Recommends: liboro-java, libregexp-java
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - XML module
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains the core XML data binding framework with support
 for marshalling Java objects to and unmarshalling from XML documents.

Package: libcastor-core-java
Architecture: all
Depends: libcommons-logging-java, ${misc:Depends}
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - Core
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains the core functionality of Castor and it is required
 by all other modules.

Package: libcastor-jdo-java
Architecture: all
Depends: libcastor-core-java, libcastor-xml-java, libcastor-xml-schema-java,
 libgeronimo-jta-1.0.1b-spec-java, libcglib-java, glassfish-javaee, ${misc:Depends}
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - JDO
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains Castor JDO: a persistence framework.

Package: libcastor-codegen-java
Architecture: all
Depends: libcastor-core-java, libcastor-xml-java, libcastor-xml-schema-java,
 libcommons-logging-java, ${misc:Depends}
Recommends: velocity
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - Codegen
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains the Castor XML code generator.

Package: libcastor-ddlgen-java
Architecture: all
Depends: libcastor-xml-java, ${misc:Depends}
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - DDL generator
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains the Castor JDO DDL generator.

Package: libcastor-xml-schema-java
Architecture: all
Depends: libcastor-xml-java, libcastor-core-java, libcommons-logging-java,
 ${misc:Depends}
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - XML Schema
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains a module with Castor XML schema support and provides
 functionality to reading, processing and writing XML schema documents.

Package: libcastor-anttasks-java
Architecture: all
Depends: libcastor-ddlgen-java, libcastor-codegen-java, libcommons-logging-java,
 ${misc:Depends}
Recommends: ant
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - Ant Tasks
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains Ant task definitions for Castor XML code generator.

Package: libcastor-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libcastor-xml-java (= ${binary:Version})
Description: Documentation for Castor Java databinding framework
 Documentation for Castor, that is a data binding framework for Java. It's
 the shortest path between Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')

%:
	dh --with javahelper $@

override_dh_auto_build:
	cd src && ant release
	tar zxf dist/castor-*-doc.tgz -C target
	rm -f target/doc/*license*

override_dh_install:
	dh_install -Xjavadoc
	# XML module
	mh_installpom -plibcastor-xml-java --no-parent xml/pom.xml
	mh_installjar -plibcastor-xml-java -l xml/pom.xml \
		dist/castor-xml-$(VERSION).jar
	# Core module
	mh_installpom -plibcastor-core-java --no-parent core/pom.xml
	mh_installjar -plibcastor-core-java -l core/pom.xml \
		dist/castor-core-$(VERSION).jar
	# JDO module
	mh_installpom -plibcastor-jdo-java --no-parent cpa/pom.xml
	mh_installjar -plibcastor-jdo-java -l cpa/pom.xml \
		dist/castor-jdo-$(VERSION).jar
	# Codegen module
	mh_installpom -plibcastor-codegen-java --no-parent codegen/pom.xml
	mh_installjar -plibcastor-codegen-java -l codegen/pom.xml \
		dist/castor-codegen-$(VERSION).jar
	# Ant tasks
	mh_installpom -plibcastor-anttasks-java --no-parent anttask/pom.xml
	mh_installjar -plibcastor-anttasks-java -l anttask/pom.xml \
		dist/castor-anttasks-$(VERSION).jar
	# DDLgen module
	mh_installpom -plibcastor-ddlgen-java --no-parent ddlgen/pom.xml
	mh_installjar -plibcastor-ddlgen-java -l ddlgen/pom.xml \
		dist/castor-ddlgen-$(VERSION).jar
	# XML Schema module
	mh_installpom -plibcastor-xml-schema-java --no-parent schema/pom.xml
	mh_installjar -plibcastor-xml-schema-java -l schema/pom.xml \
		dist/castor-xml-schema-$(VERSION).jar

override_dh_auto_clean:
	cd src && ant distclean
	mh_clean

override_jh_manifest:
	# Failure of jh_manifest are ignored because it is failing intermittently,
	# so it is not clear if manifest templates from upstream are broken or if
	# this is just a bug in javahelper. By now, I'm ignoring any failure.
	-jh_manifest -v

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan \
		--verbose \
		--no-symlink \
		--destdir $(CURDIR)      \
		--watchfile debian/watch \
		--force-download

## castor 1.3.2

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.3.2
Date: 2018-01-19
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient tree manipulations for large phylogenies, including pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism). Ancestral state reconstruction and hidden character prediction of discrete characters, using maximum likelihood and maximum parsimony methods. Simulating and fitting models of trait evolution, and generating random trees using birth-death models. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats
LinkingTo: Rcpp
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2018-01-20 01:54:07 UTC; stilianoslouca
Repository: CRAN
Date/Publication: 2018-01-20 22:03:01 UTC

=== debian/changelog ===
castor (1.3.2-7) unstable; urgency=medium

  * Team upload.
  * Ignore the stax dependency (provided by the JDK)
  * Simplified debian/rules
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 31 Jul 2018 11:44:49 +0200

castor (1.3.2-6) unstable; urgency=medium

  * Team upload.
  * Depend on libgeronimo-jpa-2.0-spec-java instead of
    libgeronimo-jpa-3.0-spec-java (Closes: #884480)
  * Depend on libgeronimo-jta-1.2-spec-java instead of
    libgeronimo-jta-1.1-spec-java
  * Standards-Version updated to 4.1.2

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 16 Dec 2017 00:54:34 +0100

castor (1.3.2-5) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871843).
  * Bump DH compat level to 10.
  * Update copyright information to make it 1.0 format compliant.
  * Simplify d/rules.

  [ Emmanuel Bourg ]
  * Depend on libgeronimo-jpa-3.0-spec-java instead of glassfish-javaee
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Nov 2017 00:19:04 +0100

castor (1.3.2-4) unstable; urgency=medium

  * Team upload.
  * Depend on libcglib-java instead of libcglib3-java
  * debian/control:
    - Standards-Version updated to 3.9.8 (no changes)
    - Updated the Homepage field
    - Use secure Vcs-* URLs
  * debian/watch: Track the new releases on GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 May 2016 23:45:37 +0200

castor (1.3.2-3) unstable; urgency=medium

  * Team upload.
  * Depend on libcglib3-java instead of libcglib-java
  * Removed the calls to Google Analytics and Ohloh in the documentation
  * debian/rules: Generate Java 5 compatible bytecode
  * debian/control:
    - Use canonical URLs for the Vcs-* fields
    - Standards-Version updated to 3.9.6 (no changes)
    - Updated the Homepage field
  * Use XZ compression for the upstream tarball
  * Switch to debhelper level 9
  * Updated the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Sep 2014 14:06:30 +0200

castor (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Add dependencies on libcommons-lang-java, libcommons-cli-java and javacc.
  * Fix Vcs-Git URL.
  * Fix clean target to allow twice-in-a-row builds.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 22 Jan 2012 00:02:52 -0430

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,37 @@
 Source: castor
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Miguel Landaeta <miguel@miguel.cc>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50), default-jdk, javahelper, ant,
- libcommons-logging-java, liboro-java, libregexp-java, libeasymock-java, junit,
- junit4, libgeronimo-jta-1.0.1b-spec-java, libcglib-java, liblog4j1.2-java,
- glassfish-javaee, velocity, maven-repo-helper, ant-optional
-Standards-Version: 3.8.4
-Homepage: http://www.castor.org/
-Vcs-Git: git://git.debian.org/pkg-java/castor.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/castor.git
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Build-Depends:
+ ant,
+ ant-optional,
+ debhelper (>= 11~),
+ default-jdk,
+ javacc,
+ javahelper,
+ junit,
+ junit4,
+ libcglib-java (>= 3.0),
+ libcommons-cli-java,
+ libcommons-lang-java,
+ libcommons-logging-java,
+ libeasymock-java,
+ libgeronimo-jpa-2.0-spec-java,
+ libgeronimo-jta-1.2-spec-java,
+ liblog4j1.2-java,
+ liboro-java,
+ libregexp-java,
+ maven-repo-helper,
+ velocity
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/java-team/castor.git
+Vcs-Browser: https://salsa.debian.org/java-team/castor
+Homepage: http://castor-data-binding.github.io/castor/
 
 Package: libcastor-xml-java
 Architecture: all
 Depends: libcastor-core-java, libcommons-logging-java, ${misc:Depends}
-Recommends: liboro-java, libregexp-java
+Recommends: libcommons-lang-java, liboro-java, libregexp-java
 Suggests: libcastor-java-doc (= ${binary:Version})
 Description: Data binding framework for Java (XML, Objects, DB) - XML module
  Castor is a data binding framework for Java. It's the shortest path between
@@ -63,8 +79,14 @@
 
 Package: libcastor-jdo-java
 Architecture: all
-Depends: libcastor-core-java, libcastor-xml-java, libcastor-xml-schema-java,
- libgeronimo-jta-1.0.1b-spec-java, libcglib-java, glassfish-javaee, ${misc:Depends}
+Depends:
+ libcastor-core-java,
+ libcastor-xml-java,
+ libcastor-xml-schema-java,
+ libcglib-java (>= 3.0),
+ libgeronimo-jpa-2.0-spec-java,
+ libgeronimo-jta-1.2-spec-java,
+ ${misc:Depends}
 Suggests: libcastor-java-doc (= ${binary:Version})
 Description: Data binding framework for Java (XML, Objects, DB) - JDO
  Castor is a data binding framework for Java. It's the shortest path between
@@ -87,8 +109,12 @@
 
 Package: libcastor-codegen-java
 Architecture: all
-Depends: libcastor-core-java, libcastor-xml-java, libcastor-xml-schema-java,
- libcommons-logging-java, ${misc:Depends}
+Depends:
+ libcastor-core-java,
+ libcastor-xml-java,
+ libcastor-xml-schema-java,
+ libcommons-logging-java,
+ ${misc:Depends}
 Recommends: velocity
 Suggests: libcastor-java-doc (= ${binary:Version})
 Description: Data binding framework for Java (XML, Objects, DB) - Codegen
@@ -135,9 +161,14 @@
 
 Package: libcastor-xml-schema-java
 Architecture: all
-Depends: libcastor-xml-java, libcastor-core-java, libcommons-logging-java,
- ${misc:Depends}
-Suggests: libcastor-java-doc (= ${binary:Version})
+Depends:
+ libcastor-core-java,
+ libcastor-xml-java,
+ libcommons-logging-java,
+ ${misc:Depends}
+Suggests:
+ libcastor-java-doc (= ${binary:Version}),
+ libcommons-cli-java
 Description: Data binding framework for Java (XML, Objects, DB) - XML Schema
  Castor is a data binding framework for Java. It's the shortest path between
  Java objects, XML documents and relational tables.
@@ -160,7 +191,10 @@
 
 Package: libcastor-anttasks-java
 Architecture: all
-Depends: libcastor-ddlgen-java, libcastor-codegen-java, libcommons-logging-java,
+Depends:
+ libcastor-codegen-java,
+ libcastor-ddlgen-java,
+ libcommons-logging-java,
  ${misc:Depends}
 Recommends: ant
 Suggests: libcastor-java-doc (= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ant --with javahelper --with maven-repo-helper

override_dh_auto_build:
	cd src && ant release -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5
	tar zxf dist/castor-*-doc.tgz -C target
	rm -f target/doc/*license*

override_dh_install:
	dh_install -Xjavadoc

override_dh_auto_clean:
	-cd src && ant distclean

=== debian/watch ===
version=3
https://github.com/castor-data-binding/castor/tags .*/archive/(?:castor-|v)?([\d\.]+).tar.gz debian debian/orig-tar.sh

## castor 1.3.3

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.3.3
Date: 2018-04-11
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient tree manipulations for large phylogenies, including pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters. Simulating and fitting models of trait evolution, and generating random trees using birth-death models. Dating trees, comparing two trees, and reading/writing trees to a file. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats
LinkingTo: Rcpp
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2018-04-11 18:18:21 UTC; stilianoslouca
Repository: CRAN
Date/Publication: 2018-04-11 18:32:39 UTC

## castor 1.3.4

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.3.4
Date: 2018-08-15
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient tree manipulations for large phylogenies, including pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters. Simulating and fitting models of trait evolution, and generating random trees using birth-death models. Dating trees, comparing two trees, and reading/writing trees to a file. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats
LinkingTo: Rcpp
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2018-08-15 19:12:22 UTC; stilianoslouca
Repository: CRAN
Date/Publication: 2018-08-16 18:10:03 UTC

## castor 1.3.5

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.3.5
Date: 2019-02-14
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
LinkingTo: Rcpp
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2019-02-15 03:45:42 UTC; stilianoslouca
Repository: CRAN
Date/Publication: 2019-02-15 14:30:15 UTC

## castor 1.3.6

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.3.6
Date: 2019-05-05
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
LinkingTo: Rcpp
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2019-05-06 02:48:07 UTC; stilianoslouca
Repository: CRAN
Date/Publication: 2019-05-06 07:20:14 UTC

## castor 1.4.0

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.4.0
Date: 2019-06-10
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
LinkingTo: Rcpp
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2019-06-10 20:27:57 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2019-06-14 07:10:08 UTC

## castor 1.4.1

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.4.1
Date: 2019-06-15
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2019-06-15 19:30:18 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2019-06-15 22:30:03 UTC

## castor 1.4.2

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.4.2
Date: 2019-07-29
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2019-07-29 19:00:39 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2019-07-29 22:40:02 UTC

## castor 1.4.3

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.4.3
Date: 2019-09-15
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2019-09-15 08:06:33 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2019-09-20 07:20:02 UTC

## castor 1.5.0

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.5.0
Date: 2019-10-30
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2019-11-01 07:31:08 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2019-11-01 22:20:07 UTC

## castor 1.5.3

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.5.3
Date: 2019-12-20
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2019-12-20 00:34:11 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2019-12-20 12:20:05 UTC

## castor 1.5.4

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.5.4
Date: 2020-01-06
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2020-01-08 05:08:59 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2020-01-08 13:00:02 UTC

## castor 1.5.5

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.5.5
Date: 2020-01-09
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
SystemRequirements: C++11
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2020-01-10 10:19:09 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2020-01-10 10:40:02 UTC

## castor 1.5.7

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.5.7
Date: 2020-04-11
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
SystemRequirements: C++11
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2020-04-12 05:17:52 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2020-04-12 06:00:14 UTC

## castor 1.6.1

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.6.1
Date: 2020-06-28
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
SystemRequirements: C++11
LinkingTo: Rcpp
RoxygenNote: 7.0.0
NeedsCompilation: yes
Packaged: 2020-06-28 23:08:41 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2020-06-29 04:50:13 UTC

## castor 1.6.2

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.6.2
Date: 2020-07-18
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
SystemRequirements: C++11
LinkingTo: Rcpp
RoxygenNote: 7.1.0
NeedsCompilation: yes
Packaged: 2020-07-18 23:52:48 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2020-07-19 04:50:03 UTC

## castor 1.6.3

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.6.3
Date: 2020-08-24
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
SystemRequirements: C++11
LinkingTo: Rcpp
RoxygenNote: 7.1.0
NeedsCompilation: yes
Packaged: 2020-08-25 01:13:41 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2020-08-27 13:50:10 UTC

## castor 1.6.4

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.6.4
Date: 2020-10-26
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr
SystemRequirements: C++11
LinkingTo: Rcpp
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2020-10-26 20:50:17 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2020-10-26 22:20:09 UTC

## castor 1.6.5

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.6.5
Date: 2021-01-04
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient phylogenetic analyses on massive phylogenies comprising up to millions of tips. Functions include pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism), ancestral state reconstruction and hidden character prediction of discrete characters, simulating and fitting models of trait evolution, fitting and simulating diversification models, dating trees, comparing trees, and reading/writing trees in Newick format. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats, nloptr, Matrix, RSpectra
SystemRequirements: C++11
LinkingTo: Rcpp
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2021-01-04 18:42:19 UTC; StilianosLouca
Repository: CRAN
Date/Publication: 2021-01-06 16:01:01 UTC
